Name: heat-cfntools
Version: 1.2.6
Release: 3%{?dist}
Summary: Tools required to be installed on Heat provisioned cloud instances
Group: System Environment/Base
License: ASL 2.0
URL: https://launchpad.net/heat-cfntools/
Source0: https://pypi.python.org/packages/source/h/heat-cfntools/%{name}-%{version}.tar.gz

BuildArch: noarch
BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-pbr >= 0.5.20

# imported by cfn_helper
Requires: python-boto >= 2.5.2
Requires: python-psutil

# external commands
Requires: bzip2
Requires: coreutils
Requires: curl
Requires: gzip
Requires: python-setuptools
Requires: rubygems
Requires: shadow-utils
Requires: tar
Requires: wget
Requires: yum

%description
Tools required to be installed on Heat provisioned cloud instances

%prep
%setup -q

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}
mkdir -p %{buildroot}/%{_sharedstatedir}/%{name}

%files
%doc README.rst LICENSE CONTRIBUTING.rst AUTHORS ChangeLog
%{_bindir}/cfn-*
%{python_sitelib}/heat_cfntools*
%dir %{_sharedstatedir}/%{name}

%changelog
* Tue Aug 19 2014 Jeff Peeler <jpeeler@redhat.com> 1.2.6-3
- fix dependencies to include external commands (rhbz#1130964)

* Mon Nov 11 2013 Jeff Peeler <jpeeler@redhat.com> 1.2.6-2
- add /var/lib/heat-cfntools directory (rhbz #1028664)

* Tue Oct 22 2013 Jeff Peeler <jpeeler@redhat.com> 1.2.6-1
- rebase to 1.2.6
- added new doc files
- bump boto version requirement
- add python-pbr buildrequire
- fixed previous changelog date

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Apr 11 2013 Jeff Peeler <jpeeler@redhat.com> 1.2.3-1
- rebased to 1.2.3

* Fri Mar 22 2013 Jeff Peeler <jpeeler@redhat.com> 1.2.1-1
- Version bump to match upstream
- Added cfn-create-aws-symlinks
- Updated URL, Source
- Added psutil requires
- Changed install location from /opt to /bin

* Mon Dec 24 2012 Steve Baker <sbaker@redhat.com> 1.0-1
- initial fork of heat-jeos
